#include <avr/io.h>
#include <util/delay.h>

void delays(int cycles) {
  for (int i = 0; i < cycles; i++) {
    _delay_ms(1);
  }
}

void display_led_brightness(int value) {
  for (int k = 0; k < 5; k++) {
    PORTB |= _BV(PB5);
    delays(value);

    PORTB &= ~_BV(PB5);
    delays(10 - value);
  }
}

int main() {
  // Configures PB5 as output
  DDRB |= _BV(PB5);

  while (1) {
    for (int k = 0; k <= 10; k++) {
      display_led_brightness(k);
    }
    for (int k = 10; k >= 0; k--) {
      display_led_brightness(k);
    }
  }
}